
D4Science Infrastructure - VM Creation #11662

New development machine for NLP Hub

Apr 16, 2018 05:42 PM - Gianpaolo Coro

Status: Closed Start date: Apr 16, 2018

Priority: Urgent Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Target version: Data Processing   

Infrastructure: Development Applications list and

version:

 

RAM: 4 Applications context

path:

 

CPU: 2 External storage data

disk:

 

DiskSpace: 20 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

 

Smartgears Version: latest PostgreSQL

database:

 

Application

Instructions:

 Number of VMs: 1

Smartgears scopes:   - '/{{ smartgears_infrastructure_name }}'

  - '/{{ smartgears_infrastructure_name

}}/gCubeApps'

  - '/{{ smartgears_infrastructure_name

}}/gCubeApps/RPrototypingLab'

 

  

Description

We need a machine similar to nlp.d4science.org (#11492) for development purposes. After the provisioning of the VM, a SmartGears

should be enabled to manage the "hub" application. Please, this is quite urgent in order to complete a first working version of the

application before the end of the month.

@tommaso.piccioli@isti.cnr.it We need the development machine.

@roberto.cirillo@isti.cnr.it we need a proto SmartGears installation.

Thanks

Related issues:

Related to D4Science Infrastructure - Task #11664: Add ALIAS to nlp-d.dev.d4s... Closed Apr 17, 2018

Related to D4Science Infrastructure - Support #11666: nlp-d.dev.d4science.org... Closed Apr 17, 2018

History

#1 - Apr 16, 2018 05:44 PM - Gianpaolo Coro

- Description updated

#2 - Apr 16, 2018 07:39 PM - Andrea Dell'Amico

- Tracker changed from Task to VM Creation

- RAM set to 4

- CPU set to 2

- DiskSpace set to 20

- Smartgears set to Yes

- Smartgears Version set to latest

- Smartgears scopes updated
- Number of VMs set to 1

#3 - Apr 16, 2018 07:40 PM - Andrea Dell'Amico

What's a proto smartgears installation, anyway?

#4 - Apr 16, 2018 07:43 PM - Andrea Dell'Amico

- Status changed from New to In Progress

hostname and IP address: nlp-d.dev.d4science.org. IN A 146.48.122.108

#5 - Apr 16, 2018 07:55 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- % Done changed from 0 to 20

The VM is up, @roberto.cirillo@isti.cnr.it has root access.

#6 - Apr 17, 2018 10:14 AM - Roberto Cirillo

- Smartgears scopes updated

Thanks @andrea.dellamico@isti.cnr.it. I've talked with @gianpaolo.coro@isti.cnr.it yesterday, proto seen as a VM running under proto scopes, so it

will be a production VM running under RPrototypingLab VRE.

Since this ticket is urgent I'm going to install the app, when is possible we should change the container name with a production one.

#7 - Apr 17, 2018 10:48 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Gianpaolo Coro

- % Done changed from 20 to 100

The VM is up and running

#8 - Apr 17, 2018 10:59 AM - Roberto Cirillo

- Related to Task #11664: Add ALIAS to nlp-d.dev.d4science.org and nlp-hub-d.dev.d4science.org added

#9 - Apr 17, 2018 03:23 PM - Roberto Cirillo

- Related to Support #11666: nlp-d.dev.d4science.org: the tomcat doesn't start correctly added

#10 - Apr 17, 2018 05:30 PM - Gianpaolo Coro

The nlp application installed on the machine by the provisioning scripts seems not to be working.

It should answer like this: http://nlp.d4science.org/hub/

whereas only a blank page is returned: http://nlp-d.dev.d4science.org/hub/

@massimiliano.assante@isti.cnr.it and the others, any hint?

#12 - Apr 17, 2018 05:37 PM - Massimiliano Assante

This morning I did update the service and restarted the node, after that I tested it and it was working fine. Think also @erico.perrone@isti.cnr.it tested

it

#13 - Apr 17, 2018 05:40 PM - Gianpaolo Coro

OK perfect. Now we can use http://nlp-d.dev.d4science.org/hub/ as baseline for tests with tokens.

#15 - Apr 17, 2018 05:52 PM - Massimiliano Assante

sorry, forget my previous comment, thought it was about the production nlp hub. Anyway the war on the ftp server is updated.

#16 - Apr 17, 2018 05:55 PM - Roberto Cirillo

As requested by @erico.perrone@isti.cnr.it and @gianpaolo.coro@isti.cnr.it this VM, for the moment, will be managed manually and not by

provisioning, the webapp will be deployed manually by @erico.perrone@isti.cnr.it 

#17 - Apr 17, 2018 06:05 PM - Gianpaolo Coro
I have placed a gcube-app.xml file under the WEB-INF folder, which contains this:

<application mode='online'>

                <name>NLPHub</name>

                <group>ContentManagement</group>

                <version>1.0.0</version>

                <description>NLPHub Application</description>

                <local-persistence location='target' />

</application>

 After the tomcat restart, I expect that accessing to the application via browser would asks for a username and a token. However this does not happen.

This is the link to the application: http://nlp-d.dev.d4science.org/hub/

Perhaps something occurs when interacting with the application (e.g. uploading a file) but the application is accessible, which is strange.

Is the XML correct? Why is this happening?

@lucio.lelii@isti.cnr.it and @massimiliano.assante@isti.cnr.it could you help me, please?

#18 - Apr 17, 2018 06:12 PM - Lucio Lelii

the xml seems to be ok. I have no access to this machine. I have to check the logs. can you give me access?

#19 - Apr 18, 2018 10:44 AM - Roberto Cirillo

@gianpaolo.coro@isti.cnr.it can this ticket be closed?

#20 - Apr 18, 2018 10:54 AM - Gianpaolo Coro

- Status changed from Feedback to Closed

Yes, yesterday I have understood that the missing request for user name and password when accessing the application was not due to some

mistake, but to the fact that SG enables security checks only for servlets.

Thus, a pure Javascript application could run on a SG, be indexed as an SG application, but users would never be asked for a token and the calls

would never be accounted.

Perhaps SG was designed assuming that Web applications developers always use servlets, GWT, etc., whereas I guess it is the contrary. I hope I

have misunderstood, otherwise it is possible that current and future applications deployed by our partners are not accounted/secured.
